Skip to main content
GET
Get all appointment reminders

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://dev.flextell.ai/oauth/authorize
Token URL
https://dev.flextell.ai/oauth/token

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
scheduled_for,
sent_at,
created_at,
updated_at
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
type
enum<string> | null

Filter by reminder type.

Available options:
appointment,
cancellation_follow_up,
session_confirmation,
reschedule_confirmation
status
enum<string> | null

Filter by send status.

Available options:
queued,
sent,
error
approval_status
enum<string> | null

Filter by approval status.

Available options:
pending,
approved,
rejected
channel
string | null

Filter by channel.

Maximum string length: 255
from
string<date-time> | null

Filter reminders whose appointment is scheduled from this date.

to
string<date-time> | null

Filter reminders whose appointment is scheduled to this date.

Response

Paginated set of AppointmentReminderResource

data
AppointmentReminderResource · object[]
required
meta
object
required